# $Header: /cvs/stx/stx/libbasic2/Make.spec,v 1.21 2006-05-08 13:11:06 cg Exp $
#

MODULE=stx
MODULE_DIR=libbasic2
LIBNAME=libbasic2
THIS_IS_A_BASE_LIBRARY="yes"
PACKAGE=$(MODULE):$(LIBNAME)

UNIX_OBJS= \
	  $(OUTDIR)ZipStream.$(O)   \
	  $(OUTDIR)BZip2Stream.$(O) \
	  $(OUTDIR)Archiver.$(O)    \


WIN32_OBJS= \
	  $(OUTDIR)SerialPort.$(O)  \


#
# these are uncritical - save some bytes by compiling with optspace
#
UNCRITICALOBJS=\
	$(OUTDIR)HandlerCollection.$(O)          \
	$(OUTDIR)MessageChannel.$(O)             \
	$(OUTDIR)Promise.$(O)                    \
	$(OUTDIR)SequenceableCollectionSorter.$(O) \
	$(OUTDIR)UnitConverter.$(O)              \
	$(OUTDIR)JISEncodedString.$(O)           \
	$(OUTDIR)PrinterStream.$(O)              \
	  $(OUTDIR)PostscriptPrinterStream.$(O)  \


OBJS=\
	$(OUTDIR)Base64Coder.$(O)       \
	$(OUTDIR)FileSorter.$(O)        \
	$(OUTDIR)MappedCollection.$(O)  \
	$(OUTDIR)KeyedCollection.$(O)   \
	$(OUTDIR)TwoByteString.$(O)     \
	  $(OUTDIR)Unicode16String.$(O) \
	  $(OUTDIR)JISEncodedString.$(O)         \
	$(OUTDIR)FourByteString.$(O)    \
	  $(OUTDIR)Unicode32String.$(O) \
	$(OUTDIR)Polygon.$(O)           \
	$(OUTDIR)List.$(O)              \
	$(OUTDIR)Queue.$(O)             \
	$(OUTDIR)SharedQueue.$(O)       \
	$(OUTDIR)CacheDictionary.$(O)   \
	$(OUTDIR)CacheDictionaryWithFactory.$(O) \
	$(OUTDIR)RunArray.$(O)          \
	$(OUTDIR)SharedCollection.$(O)	\
	$(OUTDIR)Iterator.$(O)          \
	$(OUTDIR)OrderedSet.$(O)        \
	$(OUTDIR)OrderedDictionary.$(O) \
	$(OUTDIR)Text.$(O)              \
	$(OUTDIR)Socket.$(O)            \
	$(OUTDIR)SocketAddress.$(O)     \
	  $(OUTDIR)IPSocketAddress.$(O) \
	  $(OUTDIR)IPv6SocketAddress.$(O)        \
	  $(OUTDIR)UDSocketAddress.$(O) \
	$(OUTDIR)SocketAddressInfo.$(O) \
	$(OUTDIR)NameLookupError.$(O)   \
	  $(OUTDIR)HostNameLookupError.$(O)      \
	  $(OUTDIR)HostAddressLookupError.$(O)   \
	$(OUTDIR)ActorStream.$(O)       \
	$(OUTDIR)SoundStream.$(O)       \
	$(OUTDIR)PrinterStream.$(O)     \
	  $(OUTDIR)PostscriptPrinterStream.$(O)  \
	$(OUTDIR)TextStream.$(O)        \
	$(OUTDIR)UnitConverter.$(O)     \
	$(OUTDIR)Random.$(O)            \
	$(OUTDIR)RandomGenerator.$(O)            \
	$(OUTDIR)UnboxedIntegerArray.$(O)        \
	  $(OUTDIR)WordArray.$(O)       \
	  $(OUTDIR)SignedWordArray.$(O) \
	  $(OUTDIR)IntegerArray.$(O)    \
	  $(OUTDIR)SignedIntegerArray.$(O)       \
	  $(OUTDIR)LongIntegerArray.$(O)         \
	  $(OUTDIR)SignedLongIntegerArray.$(O)   \
	$(OUTDIR)ZipArchive.$(O)        \
	$(OUTDIR)DirectoryContents.$(O) \
	$(OUTDIR)BooleanArray.$(O)      \
	$(OUTDIR)BitArray.$(O)          \
	$(OUTDIR)Monitor.$(O)           \
	$(OUTDIR)TimeDuration.$(O)      \
	$(OUTDIR)Stack.$(O)             \
	$(OUTDIR)CompressionStream.$(O) \
	$(OUTDIR)UndoSupport.$(O)       \
	$(OUTDIR)UUID.$(O)              \
	$(OUTDIR)URI.$(O)               \
	  $(OUTDIR)HierarchicalURI.$(O) \
	    $(OUTDIR)FileURI.$(O)       \
	    $(OUTDIR)FtpURI.$(O)        \
	    $(OUTDIR)HttpURI.$(O)       \
	$(OUTDIR)Promise.$(O)           \
	$(OUTDIR)TimedPromise.$(O)      \
	$(OUTDIR)Singleton.$(O)         \
	$(SYSDEP_OBJS)                  \
	$(LIBBASIC2_PACKAGE_OBJS)
